using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Chart;

namespace WindowsApplication10
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();           
            this.chartControl1.LayoutCompleted += new EventHandler(chartControl1_LayoutCompleted);
            InitializeChartData();
        }

        private void InitializeChartData()
        {
            ChartAxis axis0 = new ChartAxis();
            ChartAxis axis1 = new ChartAxis();

            this.chartControl1.PrimaryXAxis.ValueType = ChartValueType.DateTime;
            this.chartControl1.PrimaryXAxis.DateTimeFormat = "hh:mm:ss:tt";
            this.chartControl1.PrimaryXAxis.LabelIntersectAction = ChartLabelIntersectAction.Rotate;

            ChartSeries series0 = this.chartControl1.Model.NewSeries("Test0");
            ChartSeries series1 = this.chartControl1.Model.NewSeries("Test1");
            series0.Type = ChartSeriesType.StepLine;
            series1.Type = ChartSeriesType.StepLine;
            
            
            series0.YAxis = axis0;
            series1.YAxis = axis1;
            axis0.LineType.ForeColor = Color.Red;
            axis1.LineType.ForeColor = Color.Green;
            axis0.AutoSize = false;
            axis1.AutoSize = false;
            axis0.Orientation = ChartOrientation.Vertical;
            axis1.Orientation = ChartOrientation.Vertical;
            
            ChartPoint chartPoint0 = new ChartPoint(new DateTime(2007, 1, 1), 10);
            ChartPoint chartPoint1 = new ChartPoint(new DateTime(2007, 1, 2), 12);

            ChartPoint chartPoint2 = new ChartPoint(new DateTime(2007, 2, 1), 10);
            ChartPoint chartPoint3 = new ChartPoint(new DateTime(2007, 2, 2), 12);

            series0.Points.Add(chartPoint0);
            series0.Points.Add(chartPoint1);

            series1.Points.Add(chartPoint2);
            series1.Points.Add(chartPoint3);

            this.chartControl1.Series.Add(series0);
            this.chartControl1.Series.Add(series1);

        }

        void chartControl1_LayoutCompleted(object sender, EventArgs e)
        {
            SetAxis();
        }

        private void SetAxis()
        {
            int height = this.chartControl1.ChartArea.RenderBounds.Height / ((this.chartControl1.Series.Count + 1) - 10);
            int count = 1;
            foreach (ChartSeries series in this.chartControl1.Series)
            {
                this.chartControl1.BeginUpdate();
                series.YAxis.LocationType = ChartAxisLocationType.Set;
                series.YAxis.Location = new PointF(this.chartControl1.PrimaryYAxis.Location.X, (count * height));
                series.YAxis.Size = new SizeF(0, height);
                series.YAxis.Title = series.Text;
                count++;
                this.chartControl1.EndUpdate();
            }
        }
    }
}